groovy.lang

## Class MissingMethodException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingMethodException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingMethodExceptionNoStack

    public class MissingMethodException
    extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown method.

Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)`
`MissingMethodException(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object[]` `getArguments()`
`java.lang.String` `getMessage()`
`java.lang.String` `getMethod()`
`java.lang.Class` `getType()`
`boolean` `isStatic()`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingMethodException

    public MissingMethodException(java.lang.String method,
                                  java.lang.Class type,
                                  java.lang.Object[] arguments)

#### MissingMethodException

    public MissingMethodException(java.lang.String method,
                                  java.lang.Class type,
                                  java.lang.Object[] arguments,
                                  boolean isStatic)

### Method Detail

#### getArguments

    public java.lang.Object[] getArguments()

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `GroovyRuntimeException`

#### getMethod

    public java.lang.String getMethod()

Returns:
  the name of the method that could not be found

#### getType

    public java.lang.Class getType()

Returns:
  The type on which the method was attempted to be called

#### isStatic

    public boolean isStatic()

Returns:
  Whether the method was called in a static way, i.e. on a class rather than an object.